<?php

class Template{	
	/**
	* Шапка шаблона
	*
	* @param $run = true/false 
	* true - Страндартная шапка из шаблона
	* false - Специальная шапка для определенного раздела сайта. head.tpl в той же папке шаблона
	* @param $dir папка шаблона
	* @param $Navig верхняя навигация
	* @param $Title Титл страницы
	*/
	public static function head($Title = NULL){
		$user = User::getUser();
		require_once H.'/style/tpl/head.tpl';
$w=1;
	}
	
	/**
	* Основной шаблон с контентом
	* 
	* @param $dir папка шаблона
	* @param $file файл шаблона
	*/
	public static function run($dir, $file){
		$user = User::getUser();
		require_once VIEW.$dir.'/'.$file.'.tpl';
	}

	/**
	* Низ шаблона
	*
	* @param $run = true/false 
	* true - Страндартный низ из шаблона
	* false - Специальный низ для определенного раздела сайта. foot.tpl в той же папке шаблона
	*/
	public static function foot(){
		$user = User::getUser();
require_once H.'/style/tpl/foot.tpl';
	}
}
?>